<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 29/08/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

return array (
	'cut' => 'Читать далее',
	'liked' => 'Похожие публикации',
	
	/**
	 * Для форм публикации / редактирования записи.
	 */
	'select_blog' => 'Выберите блог',
	'blogs_empty' => 'Доступных блогов нет',
	
	'title' => 'Заголовок',
	'title_error' => 'Не введен заголовок записи',
	
	'text' => 'Текст',
	'text_error' => 'Не введен текст записи',
	'text_notice' => 'Не более %d символов. Тег [cut] сокращает длинные записи, скрывая их целиком или частично под ссылкой «Читать далее». Заголовок ссылки можно указать самому, используя тег [cut=Заголовок ссылки]. Скрытая часть не видна в блоге, но доступна в полной записи на странице записи.',
	
	'tags' => 'Метки',
	'tags_error' => 'Не введены метки',
	'tags_notice' => 'Не более %d %s. Метки нужно разделять запятой. Метка "search" зарезервирована системой, ее нельзя использовать.',
	'tags_declension' => array('метки', 'меток'),
	
	'privacy_post' => 'Режим просмотра',
	'privacy_comment' => 'Разрешить комментирование',
	
	'privacy_users' => 'Все пользователи',
	'privacy_only_friends' => 'Только друзья',
	'privacy_only_blog_users' => 'Только читатели блога',
	
	'privacy_error' => array (
		'only_friends' => 'Просмотр и комментирование этой записи доступно только друзьям автора!',
		'only_blog_users' => 'Просмотр и комментирование этой записи доступно только читателям блога!'
	),
	
	'publish_index' => 'Вывести на главную',
	
	/**
	 * Заголовок ссылок для перехода к записи.
	 */
	'read_edited_post' => 'Посмотреть на отредактированную запись',
	'read_published_post' => 'Посмотреть на опубликованную запись',
	
	/**
	 * Публикация записи.
	 */
	'publish' => 'Публикация записи',
	'publish_submit' => 'Опубликовать',
	'publish_success' => 'Запись опубликована',
	'publish_blog' => 'Добавить запись в тематический блог', 
	'publish_personal' => 'Добавить запись в личный блог', 
	
	'publish_error_deny' => 'Установлен бан - запрещено публиковать записи.',
	'publish_error_skill' => 'У вас не хватает рейтинга для публикации записи! Необходимо минимум %d единиц рейтинга.',
	
	
	/**
	 * Редактирование записи.
	 */
	'edit' => 'Редактирование записи',
	'edit_submit' => 'Отредактировать',
	'edit_success' => 'Запись изменена',
	
	/**
	 * Перенос записи.
	 */
	'move' => 'Перенос записи',
	'move_submit' => 'Перенести в другой блог',
	'move_success' => 'Запись перенесена',
	
	/**
	 * Удаление записи.
	 */
	'delete' => 'Удаление записи',
	'delete_submit' => 'Удалить',
);
?>