<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="header">
	<h1><a href="/blog/<?php echo $blog_data['blog_url'] ?>"><?php echo $blog_data['blog_name'] ?></a></h1>
	<div class="skill-rating">
		<div class="rating">
			<div>
				<?php echo get_lang('user/rating') ?><br />
				<span class="number"><?php echo $blog_data['blog_rating'] ?></span><br />
				<?php echo get_lang('vote/count', $blog_data['blog_count_vote'], declension($blog_data['blog_count_vote'], get_lang('vote/count_declensions'))) ?>
			</div>
		</div>
	</div>
</div>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td><div><a href="/access/blogs/<?php echo $blog_data['blog_id'] ?>">Модераторы</a></div></td>
			<td class="current"><div><a href="/access/blogs/add/<?php echo $blog_data['blog_id'] ?>">Добавить</a></div></td>
		</tr>
	</table>
</div>

<div class="content">
	<div class="card">
		<form action="/access/blogs/add/<?php echo $blog_data['blog_id'] ?>" method="post">
			<?php if ($user_error): ?>
				<dl>
					<dt></dt>
					<dd>Пользователь не найден!</dd>
				</dl>
			<?php endif ?>
			
			<dl>
				<dt>Группа:</dt>
				<dd>
					<select name="group">
						<option value="0">Выбор</option>
						<?php foreach ($groups_array as $fields): ?>
							<option value="<?php echo $fields['group_id'] ?>"><?php echo $fields['group_name'] ?></option>
						<?php endforeach ?>
					</select>
				</dd>
			</dl>
			
			<dl>
				<dt>Пользователь:</dt>
				<dd><input type="text" name="user" value="" /></dd>
			</dl>
			
			<dl>
				<dt>Полномочия:</dt>
				<dd>
					<input type="checkbox" name="approve_user" value="1" /> Одобрение заявок на вступление в читателей<br />
					<input type="checkbox" name="delete_user" value="1" /> Исключение пользователей из читателей<br />
					<input type="checkbox" name="edit_post" value="1" /> Редактирование постов<br />
					<input type="checkbox" name="delete_post" value="1" /> Удаление поста<br />
					<input type="checkbox" name="edit_comment" value="1" /> Редактирование комментариев<br />
					<input type="checkbox" name="delete_comment" value="1" /> Удаление комментариев
				</dd>
			</dl>
			
			<dl>
				<dt></dt>
				<dd><input type="submit" value="Создать" /></dd>
			</dl>
		</form>
	</div>
</div>