<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="header">
	<h1><a href="/blog/<?php echo $blog_data['blog_url'] ?>"><?php echo $blog_data['blog_name'] ?></a></h1>
	<div class="skill-rating">
		<div class="rating">
			<div>
				<?php echo get_lang('user/rating') ?><br />
				<span class="number"><?php echo $blog_data['blog_rating'] ?></span><br />
				<?php echo get_lang('vote/count', $blog_data['blog_count_vote'], declension($blog_data['blog_count_vote'], get_lang('vote/count_declensions'))) ?>
			</div>
		</div>
	</div>
</div>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td class="current"><div><a href="/access/blogs/<?php echo $blog_data['blog_id'] ?>">Модераторы</a></div></td>
			<td><div><a href="/access/blogs/add/<?php echo $blog_data['blog_id'] ?>">Добавить</a></div></td>
		</tr>
	</table>
</div>

<form action="/access/blogs/<?php echo $blog_data['blog_id'] ?>" name="delete_form" method="post">
	<div class="live">
		<div class="br">
		<div class="bl">
		<div class="tr">
			<div class="text">
				<?php if (count($groups_array)): ?>
					<h1>Группы:</h1>
					<?php foreach ($groups_array as $fields): $i = 0; ?>
						<table>
							<input type="hidden" name="array[groups][<?php echo $fields['group_id'] ?>]" />
							
							<tr>
								<td><input type="checkbox" id="set_group_<?php echo $fields['group_id'] ?>" onclick="setAllCheckboxesRange('delete_form', 'group_<?php echo $fields['group_id'] ?>_', 'set_group_<?php echo $fields['group_id'] ?>');  return false;" /></td>
								<td><b><a href="/group/<?php echo $fields['group_id'] ?>"><?php echo $fields['group_name'] ?></a></b></td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="group_<?php echo $fields['group_id'] ?>_<?php echo ++$i ?>" name="array[groups][<?php echo $fields['group_id'] ?>][approve_user]" value="1" <?php echo ($fields['allow_approve_user'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Одобрение заявок на вступление в читателей</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="group_<?php echo $fields['group_id'] ?>_<?php echo ++$i ?>" name="array[groups][<?php echo $fields['group_id'] ?>][delete_user]" value="1" <?php echo ($fields['allow_delete_user'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Исключение пользователей из читателей</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="group_<?php echo $fields['group_id'] ?>_<?php echo ++$i ?>" name="array[groups][<?php echo $fields['group_id'] ?>][edit_post]" value="1" <?php echo ($fields['allow_edit_post'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Редактирование постов</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="group_<?php echo $fields['group_id'] ?>_<?php echo ++$i ?>" name="array[groups][<?php echo $fields['group_id'] ?>][delete_post]" value="1" <?php echo ($fields['allow_delete_post'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Удаление поста</td>
							</tr>
							
							<tr>
								<td>
							<input type="checkbox" id="group_<?php echo $fields['group_id'] ?>_<?php echo ++$i ?>" name="array[groups][<?php echo $fields['group_id'] ?>][edit_comment]" value="1" <?php echo ($fields['allow_edit_comment'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Редактирование комментариев</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="group_<?php echo $fields['group_id'] ?>_<?php echo ++$i ?>" name="array[groups][<?php echo $fields['group_id'] ?>][delete_comment]" value="1" <?php echo ($fields['allow_delete_comment'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Удаление комментариев</td>
							</tr>
						</table><br />
					<?php endforeach ?>
				<?php endif ?>
				
				<?php if (count($users_array)): ?>
					<h1>Пользователи:</h1>
					<?php foreach ($users_array as $fields): $i = 0; ?>
						<table>
							<input type="hidden" name="array[users][<?php echo $fields['user_id'] ?>]" />
							
							<tr>
								<td><input type="checkbox" id="set_user_<?php echo $fields['user_id'] ?>" onclick="setAllCheckboxesRange('delete_form', 'user_<?php echo $fields['user_id'] ?>_', 'set_user_<?php echo $fields['user_id'] ?>');  return false;" /></td>
								<td><b><a href="/profile/<?php echo $fields['user_login'] ?>"><?php echo $fields['user_login'] ?></a></b></td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="user_<?php echo $fields['user_id'] ?>_<?php echo ++$i ?>" name="array[users][<?php echo $fields['user_id'] ?>][approve_user]" value="1" <?php echo ($fields['allow_approve_user'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Одобрение заявок на вступление в читателей</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="user_<?php echo $fields['user_id'] ?>_<?php echo ++$i ?>" name="array[users][<?php echo $fields['user_id'] ?>][delete_user]" value="1" <?php echo ($fields['allow_delete_user'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Исключение пользователей из читателей</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="user_<?php echo $fields['user_id'] ?>_<?php echo ++$i ?>" name="array[users][<?php echo $fields['user_id'] ?>][edit_post]" value="1" <?php echo ($fields['allow_edit_post'] ? 'checked="checked" ' : '') ?></td>
								<td>Редактирование постов</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="user_<?php echo $fields['user_id'] ?>_<?php echo ++$i ?>" name="array[users][<?php echo $fields['user_id'] ?>][delete_post]" value="1" <?php echo ($fields['allow_delete_post'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Удаление поста</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="user_<?php echo $fields['user_id'] ?>_<?php echo ++$i ?>" name="array[users][<?php echo $fields['user_id'] ?>][edit_comment]" value="1" <?php echo ($fields['allow_edit_comment'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Редактирование комментариев</td>
							</tr>
							
							<tr>
								<td><input type="checkbox" id="user_<?php echo $fields['user_id'] ?>_<?php echo ++$i ?>" name="array[users][<?php echo $fields['user_id'] ?>][delete_comment]" value="1" <?php echo ($fields['allow_delete_comment'] ? 'checked="checked" ' : '') ?>/></td>
								<td>Удаление комментариев</td>
							</tr>
						</table><br />
					<?php endforeach ?>
				<?php endif ?>
				
				<?php if (!count($users_array) && !count($groups_array)): ?>
					Модераторов нет
				<?php endif ?>
			</div>
		</div>
		</div>
		</div>
	</div>
	
	<div style="float: right">
		<input type="submit" value="Применить" />
	</div>
</form>