<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li class="current"><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>


<div class="header">
	<h1><?php echo $blog_data['blog_name'] ?></h1>
	<div class="skill-rating">
		<div class="rating">
			<?php if ($allow_vote): ?>
				<a href="/vote/blog/positive/<?php echo $blog_data['blog_id'] ?>" class="vote-plus"></a>
			<?php endif ?>
			<div>
				<?php echo get_lang('vote/rating') ?><br />
				<span class="number"><?php echo $blog_data['blog_rating'] ?></span><br />
				<?php echo get_lang('vote/count', $blog_data['blog_count_vote'], declension($blog_data['blog_count_vote'], get_lang('vote/count_declensions'))) ?>
			</div>
			<?php if ($allow_vote): ?>
				<a href="/vote/blog/negative/<?php echo $blog_data['blog_id'] ?>" class="vote-minus"></a>
			<?php endif ?>
		</div>
	</div>
</div>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td><div><a href="/blog/<?php echo $blog_data['blog_url'] ?>"><?php echo get_lang('blog/info') ?></a></div></td>
			<td><div><a href="/blogs/<?php echo $blog_data['blog_url'] ?>"><?php echo get_lang('blog/posts') ?></a></div></td>
			<td class="current"><div><a href="/blog/users/<?php echo $blog_data['blog_url'] ?>"><?php echo get_lang('blog/users') ?> (<?php echo $blog_data['blog_count_users'] ?>)</a></div></td>
			</tr>
	</table>
</div>

<div class="live">
	<div class="br">
	<div class="bl">
	<div class="tr">
		<div class="text">
			<?php echo get_lang('blog/users_empty') ?>
		</div>
	</div>
	</div>
	</div>
</div>