<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="header">
	<h1>
		<?php echo get_lang('comment/add') ?> &rarr; <a href="/comments/post/<?php echo $post_data['post_id'] ?>"><?php echo $post_data['post_title'] ?></a>
	</h1>
</div>

<div class="content">
	<form action="/comment/add/<?php echo $post_data['post_id'] ?>" method="post">
		<div class="card">
			<!-- Отображение ошибок -->
			<?php if ($antiflood_error): ?>
				<dl>
					<dt></dt>
					<dd><?php echo get_lang('antiflood_notice', $antiflood, declension(get_option('flood_time'), get_lang('antiflood_seconds')));  ?></dd>
				</dl>
			<?php endif ?>
			
			<?php if ($text_error): ?>
				<dl>
					<dt></dt>
					<dd><?php echo get_lang('comment/text_error') ?></dd>
				</dl>
			<?php endif ?>
			<!-- // Отображение ошибок -->
			
			<dl>
				<dt class="help" title="<?php echo get_lang('comment/text_notice', get_option('length_blog_comment')) ?>"><?php echo get_lang('comment/text') ?>:</dt>
				<dd><textarea name="text" maxlength="<?php echo get_option('length_blog_comment') ?>"><?php echo $text ?></textarea></dd>
			</dl>
			
			<dl>
				<dt></dt>
				<dd><input type="submit" value="<?php echo get_lang('comment/add_submit') ?>" /></dd>
			</dl>
		</div>
	</form>
</div>