<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li class="current"><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="header">
	<h1><?php echo $group_data['group_name'] ?></h1>
</div>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td><div><a href="/group/<?php echo $group_data['group_id'] ?>">Информация</a></div></td>
			<td><div><a href="/group/users/<?php echo $group_data['group_id'] ?>">Учаcтники</a></div></td>
			<td class="current"><div><a href="/group/edit/<?php echo $group_data['group_id'] ?>">Редактировать</a></div></td>
			<td><div><a href="/group/delete/<?php echo $group_data['group_id'] ?>">Удалить</a></div></td>
		</tr>
	</table>
</div>

<form action="/group/edit/<?php echo $group_data['group_id'] ?>" method="post">
	<div class="content">
		<div class="card">
			<?php if ($edit_success): ?>
				<dl>
					<dt></dt>
					<dd>Данные изменены</dd>
				</dl>
			<?php endif ?>
			
			<?php if ($name_error): ?>
				<dl>
					<dt></dt>
					<dd>Не указано имя</dd>
				</dl>
			<?php endif ?>
			
			<dl>
				<dt>Имя группы:</dt>
				<dd>
					<input type="text" name="name" size="72" maxlength="255" value="<?php echo $name ?>" />
				</dd>
			</dl>
			
			<dl>
				<dt>Описание:</dt>
				<dd>
					<textarea name="description" maxlength="255"><?php echo $description ?></textarea>
				</dd>
			</dl>
			
			<dl>
				<dt>Тип вступления:</dt>
				<dd>
					<input type="radio" name="type" value="<?php echo GROUP_OPEN ?>" <?php $type == GROUP_OPEN && print('checked="checked"') ?>/> Открыто<br />
					<input type="radio" name="type" value="<?php echo GROUP_CLOSE ?>" <?php $type == GROUP_CLOSE && print('checked="checked"') ?>/> Закрыто<br />
					<input type="radio" name="type" value="<?php echo GROUP_HIDDEN ?>" <?php $type == GROUP_HIDDEN && print('checked="checked"') ?>/> Скрыта
				</dd>
			</dl>
			
			<dl>
				<dd>
					<input type="submit" value="Применить" />
				</dd>
			</dl>
		</div>
	</div>
</form>