<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li class="current"><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="header">
	<h1><?php echo $group_data['group_name'] ?></h1>
</div>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td class="current"><div><a href="/group/<?php echo $group_data['group_id'] ?>">Информация</a></div></td>
			<td><div><a href="/group/users/<?php echo $group_data['group_id'] ?>">Учаcтники</a></div></td>
			<td><div><a href="/group/edit/<?php echo $group_data['group_id'] ?>">Редактировать</a></div></td>
			<td><div><a href="/group/delete/<?php echo $group_data['group_id'] ?>">Удалить</a></div></td>
		</tr>
	</table>
</div>

<div class="content">
	<div class="card">
		<?php if ($group_data['group_description']): ?>
			<dl>
				<dt>Описание:</dt>
				<dd><?php echo $group_data['group_description'] ?></dd>
			</dl>
		<?php endif ?>
		
		<dl>
			<dt>Cоздана:</dt>
			<dd><?php echo fdate($group_data['group_add_time']) ?></dd>
		</dl>
		
		<dl class="list">
			<dt>Участники:</dt>
			<dd>
				<?php if ($users_ship): ?>
					<ul>
						<?php foreach ($users_ship as $user): ?>
							<li><a class="user" href="/profile/<?php echo $user['user_login'] ?>"><?php echo $user['user_login'] ?></a></li>
						<?php endforeach ?>
					</ul>
				<?php else: ?>
					Нет
				<?php endif ?>
			</dd>
		</dl>
	</div>
</div>