<div class="content">
	<h1><?php echo get_lang('user/registration') ?></h1>

	<form action="registration" method="post">
	<p>
		<?php echo get_lang('user/login') ?>:<br />
		<span class="notice"><?php echo get_lang('registration_login_notice') ?></span><br />
		
		<?php if (isset($error_login)): ?>
			<span class="error"><?php echo get_lang('registration_login_error') ?></span><br />
		<?php elseif(isset($error_login_used)): ?>
			<span class="error"><?php echo get_lang('registration_login_error_used') ?></span><br />
		<?php endif; ?>
		
		<input type="text" maxlength="25" name="login" value="<?php echo $login ?>" />
	</p>
	
	<p>
		<?php echo get_lang('user/password') ?>:<br />
		<span class="notice"><?php echo get_lang('registration_password_notice') ?></span><br />
		
		<?php if (isset($error_password)): ?>
			<span class="error"><?php echo get_lang('registration_password_error') ?></span><br />
		<?php endif; ?>
		
		<input type="text" maxlength="25" name="password" value="<?php echo $password ?>" />
	</p>
	
	<p>
		<?php echo get_lang('user/email') ?>:<br />
		<?php if (isset($error_email)): ?>
			<span class="error"><?php echo get_lang('registration_email_error') ?></span><br />
		<?php elseif(isset($error_email_used)): ?>
			<span class="error"><?php echo get_lang('registration_email_error_used') ?></span><br />
		<?php endif; ?>
		<input type="text" maxlength="80" name="email" value="<?php echo $email ?>" />
	</p>
	
	<p>
		<?php echo get_lang('user/sex') ?>:<br />
		<input type="radio" name="sex" value="m" <?php $sex == 'm' && print('checked="checked"') ?>/> <?php echo get_lang('user/sex_man') ?><br />
		<input type="radio" name="sex" value="f" <?php $sex == 'f' && print('checked="checked"') ?>/> <?php echo get_lang('user/sex_woman') ?>
	</p>
	
	<p class="text">
		<?php echo get_lang('registration_captcha') ?>:<br />
		<?php if (isset($captcha_error)): ?>
			<span class="error"><?php echo get_lang('registration_captcha_error') ?></span><br />
		<?php endif; ?>
		<img src="/captcha.jpeg" alt="<?php echo get_lang('registration_captcha') ?>" /><br />
		<input type="text" name="keystring" size="3" maxlength="4" />
	</p>
	
	<p>
	<input type="submit" name="registration" value="<?php echo  get_lang('registration_submit') ?>" />
	</p>
	</form>
	
	<p><a href="/"><?php echo get_lang('index') ?></a></p>
</div>