<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li class="current"><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td><div><a href="/users"><?php echo get_lang('users_list') ?></a></div></td>
			<td><div><a href="/users/online"><?php echo get_lang('users_online_list') ?></a></div></td>
			<td class="current"><div><a href="/users/search"><?php echo get_lang('users_search') ?></a></div></td>
		</tr>
	</table>
</div>

<div class="content">
	<form action="/users/search" method="post">
		<?php echo get_lang('user/login') ?> <?php echo get_lang('or') ?> <?php echo get_lang('user/id') ?>:<br />
		<span class="notice"><?php echo get_lang('users_search_notice') ?></span><br />
		
		<?php if ($error): ?>
			<span class="error"><?php echo $error ?></span><br />
		<?php endif ?>
		
		<input type="text" name="search" /> 
		<input type="submit" value="<?php echo get_lang('users_search_submit') ?>" />
	</form>
</div>