<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 1.5
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 07/07/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

if (!$is_admin) {
	redirect('/');
}

switch (get_router_param(0)) {
	case 'set':
		$b_user = preg_match('/^[A-z0-9_]+$/', get_router_param(1)) ? get_router_param(1) : '';
		
		$b_description = '';
		
		$b_data = array (
			'deny_site' => (int) !empty($_POST['deny_site']),
			'deny_add_post' => (int) !empty($_POST['deny_add_post']),
			'deny_add_comment' => (int) !empty($_POST['deny_add_comment']),
			'deny_vote_user' => (int) !empty($_POST['deny_vote_user']),
			'deny_vote_post' => (int) !empty($_POST['deny_vote_post']),
			'deny_vote_blog' => (int) !empty($_POST['deny_vote_blog']),
			'deny_vote_comment' => (int) !empty($_POST['deny_vote_comment'])
		);
		
		$b_times = array (
			'minute', 
			'hour', 
			'day', 
			'month',
			'cancel'
		);
		
		$error = false;
		
		if (!empty($_POST['user']) && isset($_POST['time'], $_POST['description']) && array_sum($b_data)) {
			if (is_unsigned($_POST['user'], true)) {
				$sql = "select user_id, user_login, user_admin_privilege 
				from " . USERS_TABLE . " where user_id = {$_POST['user']}";
			} elseif (preg_match('/^[A-z0-9_]+$/', $_POST['user'])) {
				$sql = "select user_id, user_login, user_admin_privilege 
				from " . USERS_TABLE . " where user_login = '{$_POST['user']}'";
			} else {
				$error = true;
			}
			
			$b_description = check(mb_substr($_POST['description'], 0, 255));
			
			if (!$error) {
				$query = mysql_query($sql);
				$b_user_data = mysql_fetch_assoc($query);
				
				if (!$b_user_data) {
					$error = true;
				} else {
					$b_user = $b_user_data['user_login'];
					$b_user_id = $b_user_data['user_id'];
					if ($b_user_data['user_admin_privilege']) {
						$error = true;
					}
				}
			}
			
			if (!$error) {
				$date = fdate(-1, 'Y-m-d');
				$time = fdate(-1, 'H:i');
				
				if (preg_match('/\d{2}:\d{2}/', $_POST['time'])) {
					$time =  $_POST['time'];
				}
				
				if (preg_match('/\d{4}-\d{2}-\d{2}/', $_POST['date'])) {
					$date = $_POST['date'];
				}
				
				list($hour, $minute) = explode(':', $time);
				list($year, $month, $day) = explode('-', $date);
				
				$b_time = mktime($hour, $minute, 0, $month, $day, $year);
				$b_time += - get_date_adjust();
				
				$b_description = mysql_escape_string($b_description);
				
				if ($b_time > time()) {
					$sql = "insert into " . USER_BAN_TABLE . " (
					user_id,
					deny_add_post,
					deny_add_comment,
					deny_vote_post,
					deny_vote_blog,
					deny_vote_user,
					deny_vote_comment,
					deny_site,
					time,
					description
					) values (
					'{$b_user_id}', 
					'{$b_data['deny_add_post']}', 
					'{$b_data['deny_add_comment']}', 
					'{$b_data['deny_vote_post']}', 
					'{$b_data['deny_vote_blog']}', 
					'{$b_data['deny_vote_user']}', 
					'{$b_data['deny_vote_comment']}', 
					'{$b_data['deny_site']}', 
					'{$b_time}',
					'{$b_description}'
					)";
					
					mysql_query($sql);
					
					view_open('content', 'ban/set_success');
					view_set_var('main', 'content', view_render('content'));
					break;
				}
			}
		}
		
		view_open('content', 'ban/set_form');
		view_set_var('content', 'error', $error);
		view_set_var('content', 'b_user', $b_user);
		view_set_var('content', 'b_data', $b_data);
		view_set_var('content', 'b_times', $b_times);
		view_set_var('content', 'b_description', $b_description);
		view_set_var('main', 'content', view_render('content'));
		break;
	
	case 'unset':
		mysql_query('truncate table ' . USER_BAN_TABLE);
		
		view_open('content', 'ban/unset');
		view_set_var('main', 'content', view_render('content'));
		break;
	
	case 'refresh':
		if (isset($_POST['data']) && is_array($_POST['data'])) {
			/**
			 *  .
			 */
			$b_unset_data = array();
			
			foreach ($_POST['data'] as $b_user_id => $b_data) {
				if (!is_unsigned($b_user_id, true)) {
					continue;
				}
				
				$b_data = array (
					'deny_site' => (int) !empty($b_data['deny_site']),
					'deny_add_post' => (int) !empty($b_data['deny_add_post']),
					'deny_add_comment' => (int) !empty($b_data['deny_add_comment']),
					'deny_vote_user' => (int) !empty($b_data['deny_vote_user']),
					'deny_vote_post' => (int) !empty($b_data['deny_vote_post']),
					'deny_vote_blog' => (int) !empty($b_data['deny_vote_blog']),
					'deny_vote_comment' => (int) !empty($b_data['deny_vote_comment'])
				);
				
				if (array_sum($b_data)) {
					$sql = "update " . USER_BAN_TABLE . " set 
					deny_site = '{$b_data['deny_site']}', 
					deny_add_post = '{$b_data['deny_add_post']}', 
					deny_add_comment = '{$b_data['deny_add_comment']}', 
					deny_vote_user = '{$b_data['deny_vote_user']}', 
					deny_vote_post = '{$b_data['deny_vote_post']}', 
					deny_vote_blog = '{$b_data['deny_vote_blog']}', 
					deny_vote_comment = '{$b_data['deny_vote_comment']}' 
					where user_id = '{$b_user_id}'";
					
					mysql_query($sql);
					
				} else {
					$b_unset_data[] = $b_user_id;
				}
			}
			
			/**
			 *  
			 */
			if (count($b_unset_data)) {
				$b_unset_data = implode(', ', $b_unset_data);
				
				$sql = "delete from " . USER_BAN_TABLE . " 
						  where user_id in ({$b_unset_data})";
				
				mysql_query($sql);
			}
			
			view_open('content', 'ban/refresh');
			view_set_var('main', 'content', view_render('content'));
			break;
		}
	
	default:
		$sql = 'select count(*) from ' . USER_BAN_TABLE;
		$query = mysql_query($sql);
		$count = mysql_result($query, 0);
		
		if ($count) {
			$nav = get_navigation($count, get_nav_posts(), 'ban/page%d');
			
			$sql = 'select ub.*, u.user_login 
			from ' . USER_BAN_TABLE . ' as ub 
			inner join ' . USERS_TABLE . ' as u using (user_id)
			order by u.user_login 
			limit ' . $nav['select_limits'];
			
			$query = mysql_query($sql);
			
			while ($fields = mysql_fetch_assoc($query)) {
				$ban_list_array[] = $fields;
			}
			
			view_open('content', 'ban/index');
			view_set_var('content', 'ban_list_count', $count);
			view_set_var('content', 'ban_list_array', $ban_list_array);
			view_set_var('content', 'pagination', $nav['pagination']);
			view_set_var('main', 'content', view_render('content'));
		} else {
			view_open('content', 'ban/index_empty');
			view_set_var('main', 'content', view_render('content'));
		}
}
?>