<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 26/08/2009 23:55
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */
defined('IN_WBENGINE') or die('Hacking attempt');
require_once('wb-system/includes/functions_blogs.php');

if (get_router_param(0) == 'add' && is_admin()) {
	// Добавление блога
	$url = '';
	$url_error = false;
	$url_exists_error = false;
	
	$name = '';
	$name_error = false;
	
	$type = BLOG_OPEN;
	$description = '';
	$limit_rating = '0.000';
	
	if (isset($_POST['url'], $_POST['name'])) {
		$name = cut(check($_POST['name'], true), 255);
		$name or $name_error = true;
		
		if (preg_match('/^[A-z0-9_]+$/', $_POST['url'])) {
			$url = $_POST['url'];
		} else {
			$url_error = true;
		}
		
		if (mysql_result(mysql_query('select count(*) from ' . BLOGS_TABLE . ' where blog_url = "' . $url. '"'), 0)) {
			$url_exists_error = true;
		}
		
		if (isset($_POST['description'])) {
			$description = cut(check($_POST['description'], true), 255);
			$description = mysql_escape_string($description);
		}
		
		if (isset($_POST['type']) && in_array($_POST['type'], array(BLOG_OPEN, BLOG_ENTRY, BLOG_CLOSE))) {
			$type = $_POST['type'];
		}
		
		if (isset($_POST['limit_rating']) && is_numeric($_POST['limit_rating'])) {
			$limit_rating = number_format($_POST['limit_rating'], 3, '.', '');
		}
		
		if (!$url_exists_error && !$url_error && !$name_error) {
			$sql = 'insert into ' . BLOGS_TABLE . ' (
			blog_url,
			blog_type,
			blog_name,
			blog_description,
			blog_limit_rating,
			blog_add_time
			) values (
			"' . $url . '",
			"' . $type . '",
			"' . $name . '",
			"' . $description . '",
			"' . $limit_rating . '",
			"' . time() . '"
			)';
			
			mysql_query($sql);
			
			view_open('main', 'light');
			view_open('content', 'blog/add/success');
			view_set_var('content', 'url', $url);
			view_set_var('main', 'content', view_render('content'));
			return;
		}
	}
	
	view_open('content', 'blog/add/index');
	
	// Ссылка и ошибка
	view_set_var('content', 'url', $url);
	view_set_var('content', 'url_error', $url_error);
	view_set_var('content', 'url_exists_error', $url_exists_error);
	
	// Имя
	view_set_var('content', 'name', $name);
	view_set_var('content', 'name_error', $name_error);
	
	// Описание
	view_set_var('content', 'description', $description);
	
	// Тип вступления в блог
	view_set_var('content', 'type', $type);
	
	// Необходимое кол-во рейтинга для возможности написания записей в блог
	view_set_var('content', 'limit_rating', $limit_rating);
	
	view_set_var('main', 'content', view_render('content'));
	
} elseif (preg_match('/^[a-z0-9_\-]+$/', get_router_param(1))) {
	$sql = 'select * from ' . BLOGS_TABLE . ' 
	where blog_url = "' . get_router_param(1) . '"';
	
	$query = mysql_query($sql);
	$blog_data = mysql_fetch_assoc($query);
	$blog_data or redirect('/blogs');
	
	$blog_id = $blog_data['blog_id'];
	
	// Необходимые переменные сразу помещаем в шаблон
	view_set_link_var('content', 'blog_data', $blog_data);
	view_set_var('content', 'allow_vote', allow_vote_blog($blog_data['blog_id']) === true);
	
	if (get_router_param(0) == 'edit' && is_admin()) {
		// Редактирование блога
		$edit_success = false;
		
		$url = $blog_data['blog_url'];
		$url_error = false;
		$url_exists_error = false;
		
		$name = $blog_data['blog_name'];
		$name_error = false;
		
		$type = $blog_data['blog_type'];
		$description = $blog_data['blog_description'];
		$limit_rating = $blog_data['blog_limit_rating'];
		
		if (isset($_POST['url'], $_POST['name'])) {
			$name = cut(check($_POST['name'], true), 255);
			$name or $name_error = true;
			
			if (preg_match('/^[A-z0-9_]+$/', $_POST['url'])) {
				$url = $_POST['url'];
			} else {
				$url_error = true;
			}
			
			if ($url != $blog_data['blog_url'] && mysql_result(mysql_query('select count(*) from ' . BLOGS_TABLE . ' where blog_url = "' . $url. '"'), 0)) {
				$url_exists_error = true;
			}
			
			if (isset($_POST['description'])) {
				$description = cut(check($_POST['description'], true), 255);
				$description = mysql_escape_string($description);
			}
			
			if (isset($_POST['type']) && in_array($_POST['type'], array(BLOG_OPEN, BLOG_ENTRY, BLOG_CLOSE))) {
				$type = $_POST['type'];
			}
			
			if (isset($_POST['limit_rating']) && is_numeric($_POST['limit_rating'])) {
				$limit_rating = number_format($_POST['limit_rating'], 3, '.', '');
			}
			
			if (!$url_error && !$name_error) {
				$sql = 'update ' . BLOGS_TABLE . ' set 
				blog_url = "' . $url . '",
				blog_name = "' . $name . '",
				blog_type = "' . $type . '",
				blog_description = "' . $description . '",
				blog_limit_rating = "' . $limit_rating . '" 
				where blog_id = ' . $blog_data['blog_id'];
				
				mysql_query($sql);
				$edit_success = true;
			}
		}
		
		view_open('content', 'blog/edit');
		
		// Отчет об успешном применении изменений
		view_set_var('content', 'edit_success', $edit_success);
		
		// Id блога
		view_set_var('content', 'blog_id', $blog_data['blog_id']);
		
		// Ссылка и ошибка
		view_set_var('content', 'url', $url);
		view_set_var('content', 'url_error', $url_error);
		view_set_var('content', 'url_exists_error', $url_exists_error);
		
		// Имя
		view_set_var('content', 'name', $name);
		view_set_var('content', 'name_error', $name_error);
		
		// Описание
		view_set_var('content', 'description', $description);
		
		// Тип вступления в блог
		view_set_var('content', 'type', $type);
		
		// Необходимое кол-во рейтинга для возможности написания записей в блог
		view_set_var('content', 'limit_rating', $limit_rating);
		
		view_set_var('main', 'content', view_render('content'));
	} elseif (get_router_param(0) == 'delete' && is_admin()) {
		// Удаление блога
		$blogs_array = array();
		$query = mysql_query('select blog_id, blog_name from ' . BLOGS_TABLE);
		
		while ($fields = mysql_fetch_assoc($query)) {
			$blogs_array[$fields['blog_id']] = $fields;
		}
		
		unset($blogs_array[$blog_id]);
		
		if (isset($_POST['blog']) && (!$_POST['blog'] or array_key_exists($_POST['blog'], $blogs_array))) {
			$query = mysql_query('select count(*) from ' . BLOGS_TABLE . ' where blog_id = ' . ($move_blog_id = $_POST['blog']));
			mysql_result($query, 0) == 0 && $move_blog_id = 0;
			
			if (!$move_blog_id) {
				$posts = array();
				$comments = array();
				$update_count_posts = array();
				$update_count_comments = array();
				
				$query = mysql_query('select post_id, user_id 
				from ' . POSTS_TABLE . ' where blog_id = ' . $blog_data['blog_id']);
				
				while ($fields = mysql_fetch_assoc($query)) {
					// Удаление кэшей
					cache_save('tags/' . $fields['post_id'], null, 1);
					cache_save('liked_posts/' . $fields['post_id'], null, 1);
					
					$posts_array[] = $fields['post_id'];
					$update_count_posts[] = $fields['user_id'];
				}
				
				// Id записей через запятую
				$posts = implode(', ', $posts_array);
				
				if ($posts) {
					$query = mysql_query('select comment_id, user_id from ' . COMMENTS_TABLE . ' where post_id in (' . $posts . ')');
					
					while ($fields = mysql_fetch_assoc($query)) {
						$comments_array[] = $fields['comment_id'];
						$update_count_comments[] = $fields['user_id'];
					}
				}
				
				// Id комментариев через запятую
				$comments = implode(', ', $comments_array);
				
				if ($posts) {
					// Удаление постов
					mysql_query('delete from ' . POSTS_TABLE . ' where blog_id = ' . $blog_id);
					
					// Удаление меток
					mysql_query('delete from ' . TAGS_TABLE . ' where post_id in (' . $posts . ')');
					
					// Удаление комментариев
					mysql_query('delete from ' . COMMENTS_TABLE . ' where post_id in (' . $posts . ')');
					
					// Удаление голосов за записи
					mysql_query('delete from ' . POST_VOTE_TABLE . ' where post_id in (' . $posts . ')');
				}
				
				if ($comments) {
					// Удаление голосов за комментарии
					mysql_query('delete from ' . COMMENT_VOTE_TABLE . ' where comment_id in (' . $comments . ')');
				}
				
				// Обновление счетчиков записей у пользователей
				if (count($update_count_posts)) {
					$users = implode(', ', $update_count_posts);
					
					$query = mysql_query('select count(post_id) as count, user_id 
					from ' . POSTS_TABLE . ' where user_id in (' . $users . ') group by user_id');
					
					while ($fields = mysql_fetch_assoc($query)) {
						mysql_query('update ' . USERS_TABLE . ' set user_count_posts = ' . $fields['count'] . ' where user_id = ' . $fields['user_id']);
					}
				}
				
				// Обновление счетчиков комментариев у пользователей
				if (count($update_count_comments)) {
					$users = implode(', ', $update_count_comments);
					
					$query = mysql_query('select count(comment_id) as count, user_id 
					from ' . COMMENTS_TABLE . ' where user_id in (' . $users . ') group by user_id');
					
					while ($fields = mysql_fetch_assoc($query)) {
						mysql_query('update ' . USERS_TABLE . ' set user_count_comments = ' . $fields['count'] . ' where user_id = ' . $fields['user_id']);
					}
				}
			} else {
				// Замена Id блога у записей
				mysql_query('update ' . POSTS_TABLE . ' set blog_id = ' . $move_blog_id . ' where blog_id = ' . $blog_id);
			}
			
			// Удаление блога
			mysql_query('delete from ' . BLOGS_TABLE . ' where blog_id  = ' . $blog_id);
			
			// Удаление голосов за блоги
			mysql_query('delete from ' . BLOG_VOTE_TABLE . ' where blog_id = ' . $blog_id);
			
			// Удаление читателей
			mysql_query('delete from ' . USER_BLOG_TABLE . ' where blog_id =' . $blog_id);
			
			// Удаление прав доступа к блогу
			mysql_query('delete from ' . BLOG_ACCESS_TABLE . ' where blog_id = ' . $blog_id);
			
			redirect('/blogs/list');
		}
		
		view_open('content', 'blog/delete');
		view_set_var('content', 'blog_id', $blog_id);
		view_set_var('content', 'blogs_array', $blogs_array);
		view_set_var('main', 'content', view_render('content'));
	} elseif (get_router_param(0) == 'entries') {
		$access = get_blog_access($blog_data['blog_id']);
		
		// Удаление / одобрение заявок
		if (isset($_POST['users']) && array_sum($access['delete_user'] or $access['approve_user'])) {
			$i = 0;
			$users = array();
			
			foreach ($_POST['users'] as $id) {
				if (is_unsigned($id, true)) {
					$users[] = $id;
					if (++$i == 50) {
						break;
					}
				}
			}
			
			if (count($users)) {
				$users = implode(', ', $users);
				
				if (isset($_POST['approve']) && $access['approve_user']) {
					$query = mysql_query('select user_id 
					from ' . USER_BLOG_ENTRY_TABLE . ' where user_id in (' . $users . ')');
					
					while ($data = mysql_fetch_row($query)) {
						mysql_query('insert into ' . USER_BLOG_TABLE . ' 
						values (' . $blog_data['blog_id'] . ', ' . $data[0] . ')');
					}
					
					mysql_query('delete from ' . USER_BLOG_ENTRY_TABLE . ' 
					where blog_id = ' . $blog_data['blog_id'] . ' and user_id in (' . $users . ')');
					
					// Обновление счетчика читателей
					// Обновляем и текущий массив информации о блоге
					$blog_data['blog_count_users'] = update_blog_count_users($blog_data['blog_id']);
				} elseif ($access['delete_user']) {
					mysql_query('delete from ' . USER_BLOG_ENTRY_TABLE . ' 
					where blog_id = ' . $blog_data['blog_id'] . ' and user_id in (' . $users . ')');
				}
			}
		}
		
		// Просмотр заявок
		$query = mysql_query('select count(*) from ' . USER_BLOG_ENTRY_TABLE . ' where blog_id = ' . $blog_data['blog_id']);
		$blog_data['blog_count_entries'] = mysql_result($query, 0);
		$blog_data['blog_count_entries'] or redirect('/blog/users/' . $blog_data['blog_url']);
		
		$nav = get_navigation($blog_data['blog_count_entries'], get_nav_posts(), '/blog/entries/' . $blog_data['blog_url'] . '/page%d');
		
		$sql = 'select ub.user_id, u.user_login, u.user_rating, u.user_skill, u.user_sex 
		from ' . USER_BLOG_ENTRY_TABLE . ' as ub 
		inner join ' . USERS_TABLE . ' as u using (user_id) 
		where ub.blog_id = ' . $blog_data['blog_id'] . ' 
		order by u.user_login asc limit ' . $nav['select_limits'];
		
		$query = mysql_query($sql);
		
		while ($fields = mysql_fetch_assoc($query)) {
			$users_array[] = $fields;
		}
		
		view_open('content', 'blog/entries/index');
		view_set_var('content', 'access', $access);
		view_set_var('content', 'allow_vote', allow_vote_blog($blog_data['blog_id']) === true);
		view_set_var('content', 'users_array', $users_array);
		view_set_var('content', 'pagination', $nav['pagination']);
		view_set_var('main', 'content', view_render('content'));
	} elseif (get_router_param(0) == 'users') {
		// Удаление читателей
		if ($blog_data['blog_count_users']) {
			$blog_data['blog_count_entries'] = 0;
			$access = get_blog_access($blog_data['blog_id'], 'delete_user', 'approve_user');
			
			if (isset($_POST['users']) && $access['delete_user']) {
				$i = 0;
				$users = array();
				
				foreach ($_POST['users'] as $id) {
					if (is_unsigned($id, true)) {
						$users[] = $id;
						if (++$i == 50) {
							break;
						}
					}
				}
				
				if (count($users)) {
					mysql_query('delete from ' . USER_BLOG_TABLE . ' 
					where blog_id = ' . $blog_data['blog_id'] . ' and user_id in (' . implode(', ', $users) . ')');
					
					// Обновление счетчика читателей
					// Обновляем и текущий массив информации о блоге
					$blog_data['blog_count_users'] = update_blog_count_users($blog_data['blog_id']);
				}
			}
		}
		
		// Просмотр списка пользователей
		// Т.к. есть возможность удаления всех пользователей - проверяем еще раз
		if ($blog_data['blog_count_users']) {
			// Кол-во заявок
			if (array_sum($access)) {
				$query = mysql_query('select count(*) from ' . USER_BLOG_ENTRY_TABLE . ' where blog_id = ' . $blog_data['blog_id']);
				$blog_data['blog_count_entries'] = mysql_result($query, 0);
			}
			
			// Расчет навигации и получение данных пользователей
			$nav = get_navigation($blog_data['blog_count_users'], get_nav_posts(), '/blog/users/' . $blog_data['blog_url'] . '/page%d');
			
			$sql = 'select ub.user_id, u.user_login, u.user_rating, u.user_skill, u.user_sex 
			from ' . USER_BLOG_TABLE . ' as ub inner join ' . USERS_TABLE . ' as u using (user_id) 
			where ub.blog_id = ' . $blog_data['blog_id'] . ' 
			order by u.user_login asc limit ' . $nav['select_limits'];
			
			$query = mysql_query($sql);
			
			while ($fields = mysql_fetch_assoc($query)) {
				$users_array[] = $fields;
			}
			
			view_open('content', 'blog/users/index' . ($access['delete_user'] ? '_my' : ''));
			view_set_var('content', 'users_array', $users_array);
			view_set_var('content', 'pagination', $nav['pagination']);
			view_set_var('main', 'content', view_render('content'));
		} else {
			view_open('content', 'blog/users/empty');
			view_set_var('main', 'content', view_render('content'));
		}
	} elseif (get_router_param(0) == 'ship' && is_logged()) {
		// Вступление в читатели блога
		if (is_admin() or $blog_data['blog_type'] != BLOG_CLOSE) {
			if (is_admin() or $blog_data['blog_type'] == BLOG_OPEN) {
				$table = USER_BLOG_TABLE;
				$message = get_lang('blog/ship_success');
			} else {
				$table = USER_BLOG_ENTRY_TABLE;
				$message = get_lang('blog/ship_entry_success');
			}
			
			mysql_query('insert into ' . $table . '  values (' . $blog_data['blog_id'] . ', ' . user_id() . ')');
			mysql_affected_rows() && update_blog_count_users($blog_data['blog_id']); // если insert вернет ошибку duplicate - обновлять нет смысла
			
			view_open('main', 'light');
			view_open('content', 'blog/ship');
			view_set_var('content', 'message', $message);
			view_set_var('main', 'content', view_render('content'));
		}
	} elseif (get_router_param(0) == 'unship' && is_logged()) {
		mysql_query('delete from ' . USER_BLOG_ENTRY . ' where blog_id = ' . $blog_data['blog_id'] . ' and user_id = ' . user_id());
		mysql_affected_rows() && update_blog_count_users($blog_data['blog_id']); // Если пользвоатель не участвует - обновлять нет смысла
		redirect('blog/' . $blog_data['blog_url']);
	} else {
		redirect('/blogs');
	}
} elseif (preg_match('/^[a-z0-9_\-]+$/', get_router_param(0))) {
	// Информация о блоге
	$sql = 'select * from ' . BLOGS_TABLE . ' 
	where blog_url = "' . get_router_param(0) . '"';
	
	$query = mysql_query($sql);
	$blog_data = mysql_fetch_assoc($query);
	$blog_data or redirect('/blogs');
	
	// Модераторы блога
	$moderators_users = array();
	$moderators_groups = array();
	
	$sql = 'select a.group_id, a.user_id, g.group_name, u.user_login 
	from ' . BLOG_ACCESS_TABLE . ' as a 
	left join ' . GROUPS_TABLE . '  as g on (a.group_id <> 0 and g.group_id = a.group_id) 
	left join ' . USERS_TABLE . '  as u on (a.user_id <> 0 and u.user_id = a.user_id) 
	where a.blog_id = ' . $blog_data['blog_id'];
	
	$query = mysql_query($sql);
	
	while ($fields = mysql_fetch_assoc($query)) {
		if ($fields['group_id']) {
			$moderators_groups[] = array (
				'group_id' => $fields['group_id'],
				'group_name' => $fields['group_name']
			);
		} else {
			$moderators_users[] = array (
				'user_id' => $fields['user_id'],
				'user_login' => $fields['user_login']
			);
		}
	}
	
	// Отображение ссылки "вступление в блог"
	$blog_ship = array (
		'ship' => false,
		'unship' => false
	);
	
	if (is_logged()) {
		if (blog_ship($blog_data['blog_id'])) {
			$blog_ship['unship'] = true;
		} elseif (is_admin() or $blog_data['blog_type'] != BLOG_CLOSE) {
			$blog_ship['ship'] = true;
		}
	}
	
	// Отображение линка "заявки на вступление"
	$blog_data['blog_count_entries'] = 0;
	$access = get_blog_access($blog_data['blog_id'], 'delete_user', 'approve_user');
	
	if (array_sum($access)) {
		$query = mysql_query('select count(*) from ' . USER_BLOG_ENTRY_TABLE . ' where blog_id = ' . $blog_data['blog_id']);
		$blog_data['blog_count_entries'] = mysql_result($query, 0);
	}
	
	// Кол-во записей в блоге
	$query = mysql_query('select count(*) from ' . POSTS_TABLE . ' where blog_id = ' . $blog_data['blog_id']);
	$blog_data['blog_count_posts'] = mysql_result($query, 0);
	
	view_open('content', 'blog/index');
	view_set_var('content', 'blog_data', $blog_data);
	view_set_var('content', 'blog_ship', $blog_ship);
	view_set_var('content', 'moderators_users', $moderators_users);
	view_set_var('content', 'moderators_groups', $moderators_groups);
	view_set_var('content', 'allow_vote', allow_vote_blog($blog_data['blog_id']) === true);
	
	view_set_var('main', 'content', view_render('content'));
} else {
	redirect('/blogs');
}
?>