<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 29/08/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

if (get_router_param(0) == 'add') {
	$name = '';
	$name_error = false;
	
	$description = '';
	$type = GROUP_OPEN;
	
	if (isset($_POST['name'], $_POST['description'], $_POST['type'])) {
		$name = check(cut($_POST['name'], 255));
		$name or $name_error = true;
		
		$description = check(cut($_POST['description'], 255));
		
		if (in_array($_POST['type'], array(GROUP_OPEN, GROUP_CLOSE, GROUP_HIDDEN))) {
			$type = $_POST['type'];
		}
		
		if (!$name_error) {
			mysql_query('insert into ' . GROUPS_TABLE . ' (
			group_name,
			group_description,
			group_type,
			group_add_time
			) values (
			"' . mysql_escape_string($name) . '",
			"' . mysql_escape_string($description) . '",
			"' . $type . '",
			"' . time() . '"
			)');
			
			view_open('main', 'light');
			view_open('content', 'groups/add/success');
			view_set_var('content', 'group_id', mysql_insert_id());
			view_set_var('main', 'content', view_render('content'));
			return;
		}
	}
	
	view_open('content', 'groups/add/index');
	view_set_var('content', 'name', $name);
	view_set_var('content', 'name_error', $name_error);
	view_set_var('content', 'type', $type);
	view_set_var('content', 'description', $description);
	view_set_var('main', 'content', view_render('content'));
} elseif (is_unsigned(get_router_param(1), true) && is_admin()) {
	$sql = 'select * 
	from ' . GROUPS_TABLE . ' where group_id = ' . get_router_param(1);
	
	$query = mysql_query($sql);
	$group_data = mysql_fetch_assoc($query);
	$group_data or redirect('/groups');
	
	switch (get_router_param(0)) {
		case 'delete':
			mysql_query('delete from ' . GROUPS_TABLE . ' where group_id = ' . $group_data['group_id']);
			mysql_query('delete from ' . USER_GROUP_TABLE . ' where group_id = ' . $group_data['group_id']);
			mysql_query('delete from ' . BLOG_ACCESS_TABLE . ' where group_id = ' . $group_data['group_id']);
			mysql_query('delete from ' . BLOG_PERSONAL_ACCESS_TABLE . ' where group_id = ' . $group_data['group_id']);
			
			redirect('/groups');
		
		case 'users':
			$delete_success = false;
			
			if (isset($_POST['users'])) {
				$users = array();
				
				foreach ($_REQUEST['users'] as $id) {
					if (is_unsigned($id, true)) {
						$users[] = $id;
					}
				}
				
				if (count($users)) {
					$sql = 'delete from ' . USER_GROUP_TABLE . ' 
					where group_id = ' . $group_data['group_id'] . ' and user_id in (' . implode(', ', $users) . ')';
					
					mysql_query($sql);
					mysql_affected_rows() && $delete_success = true;
				}
			}
			
			$sql = 'select ug.user_id, u.user_login, u.user_skill, u.user_rating 
			from ' . USER_GROUP_TABLE . ' as ug 
			inner join ' . USERS_TABLE . ' as u using (user_id) 
			where ug.group_id = ' . $group_data['group_id'] . ' order by u.user_login asc';
			
			$query = mysql_query($sql);
			
			if (mysql_num_rows($query)) {
				while ($fields = mysql_fetch_assoc($query)) {
					$users_array[] = $fields;
				}
				
				view_open('content', 'groups/users/index');
				view_set_var('content', 'group_data', $group_data);
				view_set_var('content', 'users_array', $users_array);
			} else {
				view_open('content', 'groups/users/empty');
				view_set_var('content', 'group_data', $group_data);
			}
			
			view_set_var('content', 'delete_success', $delete_success);
			view_set_var('main', 'content', view_render('content'));
			break;
		
		case 'edit':
			$edit_success = false;
			
			$type = $group_data['group_type'];
			$description = $group_data['group_description'];
			
			$name = $group_data['group_name'];
			$name_error = false;
			
			if (isset($_POST['name'], $_POST['description'], $_POST['type'])) {
				$name = check(cut($_POST['name'], 255));
				$name or $name_error = true;
				
				$description = check(cut($_POST['description'], 255));
				
				if (in_array($_POST['type'], array(GROUP_OPEN, GROUP_CLOSE, GROUP_HIDDEN))) {
					$type = $_POST['type'];
				}
				
				if (!$name_error) {
					mysql_query('update ' . GROUPS_TABLE . ' set 
					group_name = "' . mysql_escape_string($name) . '",
					group_description = "' . mysql_escape_string($description) . '",
					group_type = "' . $type . '" 
					where group_id = ' . $group_data['group_id']);
					
					$edit_success = true;
				}
			}
			
			view_open('content', 'groups/edit/index');
			view_set_var('content', 'group_data', $group_data);
			view_set_var('content', 'edit_success', $edit_success);
			view_set_var('content', 'name', $name);
			view_set_var('content', 'name_error', $name_error);
			view_set_var('content', 'type', $type);
			view_set_var('content', 'description', $description);
			view_set_var('main', 'content', view_render('content'));
			break;
		
		case 'adduser':
			$user = '';
			$user_error = false;
			
			$add_success = false;
			
			if (isset($_POST['user'])) {
				$user = cut($_POST['user'], 25);
				$user = preg_replace('/[^A-z0-9\-_]/', '', $user);
				
				$sql = 'select user_id from ' . USERS_TABLE . ' 
				where ' . (is_unsigned($user, true) ? 'user_id' : 'user_login') . ' = "' . $user . '"';
				
				$query = mysql_query($sql);
				$current_user = @mysql_result($query, 0);
				
				if ($current_user) {
					mysql_query('insert into ' . USER_GROUP_TABLE . ' ( `group_id` , `user_id` , `is_moderator` )
					values (' . $group_data['group_id'] . ', ' . $current_user . ', 0)');
					
					if (mysql_affected_rows()) {
						$user = '';
						$add_success = true;
					}
				} else {
					$user_error = true;
				}
			}
			
			view_open('content', 'groups/adduser/index');
			view_set_var('content', 'user', $user);
			view_set_var('content', 'user_error', $user_error);
			view_set_var('content', 'group_data', $group_data);
			view_set_var('content', 'add_success', $add_success);
			view_set_var('main', 'content', view_render('content'));
			break;
	}
} elseif (is_unsigned(get_router_param(0), true)) {
	// Информация о группе
	$sql = 'select * from ' . GROUPS_TABLE . ' 
	where group_id = ' . get_router_param(0);
	
	$query = mysql_query($sql);
	$group_data = mysql_fetch_assoc($query);
	$group_data or redirect('/groups');
	
	// Участники группы
	$sql = 'select g.user_id, u.user_login 
	from ' . USER_GROUP_TABLE . ' as g
	inner join ' . USERS_TABLE . ' as u using (user_id)
	where g.group_id = ' . $group_data['group_id'];
	
	$query = mysql_query($sql);
	$users_ship = array();
	
	while ($fields = mysql_fetch_assoc($query)) {
		$users_ship[] = $fields;
	}
	
	view_open('content', 'groups/view/index');
	view_set_var('content', 'group_data', $group_data);
	view_set_var('content', 'users_ship', $users_ship);
	view_set_var('main', 'content', view_render('content'));
} else {
	// Все группы
	$groups = array();
	$groups_ship = array();
	
	if (is_logged()) {
		// Участие в группах
		$query = mysql_query('select ug.group_id, g.group_name 
		from ' . USER_GROUP_TABLE . ' as ug 
		inner join ' . GROUPS_TABLE . ' as g using (group_id) 
		where ug.user_id = ' . user_id() . ' 
		order by g.group_name asc');
		
		while ($fields = mysql_fetch_assoc($query)) {
			$groups_ship[] = $fields;
			$groups[] = $fields['group_id'];
		}
	}
	
	if (count($groups)) {
		$query = mysql_query('select group_id, group_name 
		from ' . GROUPS_TABLE . ' where group_id not in (' . implode(', ', $groups) . ')');
		
		// Очищаем массив
		$groups = array();
	} else {
		$query = mysql_query('select group_id, group_name from ' . GROUPS_TABLE);
	}
	
	while ($fields = mysql_fetch_assoc($query)) {
		$groups[] = $fields;
	}
	
	view_open('content', 'groups/index/index');
	view_set_var('content', 'groups', $groups);
	view_set_var('content', 'groups_ship', $groups_ship);
	view_set_var('main', 'content', view_render('content'));
}
?>