<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 29/08/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

require('wb-system/includes/functions_blogs.php');
require('wb-system/includes/functions_friends.php');

if (is_logged() && get_router_param(0) == 'delete' && is_unsigned(get_router_param(1), true))
{
	$sql = 'select p.post_id, p.user_id, b.blog_id, b.blog_url 
	from ' . POSTS_TABLE . ' as p 
	left join  ' . BLOGS_TABLE . ' as b using (blog_id) 
	where p.post_id = ' . get_router_param(1);
	
	$query = mysql_query($sql);
	$post_data = mysql_fetch_assoc($query);
	$post_data or redirect('/');
	
	do
	{
		if (is_admin())
		{
			break;
		}
		
		if ($post_data['blog_id'])
		{
			if ($user_id == $post_data['user_id'] && blog_ship($post_data['blog_id']))
			{
				break;
			}
			
			if (array_sum(($access = get_blog_access($post_data['blog_id']))) && $access['delete_post'])
			{
				break;
			}
		}
		else
		{
			if (user_id() == $post_data['user_id'])
			{
				break;
			}
			
			if (array_sum(($access = get_blog_personal_access())) && $access['delete_post'])
			{
				break;
			}
		}
		
		redirect('/');
	}
	while (0);
	
	mysql_query('delete from ' . TAGS_TABLE . ' where post_id = ' . $post_data['post_id']);
	mysql_query('delete from ' . POSTS_TABLE . ' where post_id = ' . $post_data['post_id']);
	
	/**
	 * Обновление счетчиков комментариев
	 */
	$users = array();
	$query = mysql_query('select user_id from ' . COMMENTS_TABLE . ' where post_id = ' . $post_data['post_id']);
	
	while ($fields = mysql_fetch_row($query))
	{
		$users[] = $fields[0];
	}
	
	if (count($users))
	{
		mysql_query('delete from ' . COMMENTS_TABLE . ' where post_id = ' . $post_data['post_id']);
		$query = mysql_query('select count(comment_id) as count, user_id from ' . COMMENTS_TABLE . ' where user_id in (' . implode(', ', $users) . ') group by user_id');
		
		while ($fields = mysql_fetch_assoc($query))
		{
			mysql_query('update ' . USERS_TABLE . ' set user_count_comments = ' . $fields['count'] . ' where user_id = ' . $fields['user_id']);
		}
	}
	
	redirect('/' . ($post_data['blog_id'] ? 'blogs/' . $post_data['blog_url'] : 'personal/'. $post_data['user_id']) . $post_data['post_id']);
}
elseif (is_unsigned(get_router_param(0), true))
{
	/**
	 * Проверка указанного Id поста, получение данных поста
	 */
	$sql = 'select p.*, u1.user_login, u2.user_login as post_edit_user_login
	from ' . POSTS_TABLE . ' as p 
	left join ' . USERS_TABLE . ' as u1 using (user_id) 
	left join ' . USERS_TABLE . ' as u2 on (u2.user_id = p.post_edit_user_id) 
	where p.post_id = ' . ($post_id = get_router_param(0));
	
	$query = mysql_query($sql);
	$post_data = mysql_fetch_assoc($query);
	$post_data or redirect('/');
	
	$blog_id = $post_data['blog_id'];
	$blog_data = array();
	
	/**
	 * Проверка существования блога (если запись сделана в тематическом блоге).
	 */
	if ($blog_id)
	{
		$query = mysql_query("select blog_name, blog_url from " . BLOGS_TABLE . " where blog_id = {$blog_id}");
		$blog_data = mysql_fetch_assoc($query);
		
		if (!$blog_data)
		{
			//mysql_query("delete from " . POSTS_TABLE . " where blog_id = {$blog_id}");
			redirect('/');
		}
		else
		{
			$post_data['blog_url'] = $blog_data['blog_url'];
			$post_data['blog_name'] = $blog_data['blog_name'];
		}
	}
	
	/**
	 * Проверка доступа и полномочий.
	 */
	$access = array
	(
		'edit_post' => false,
		'delete_post' => false
	);
	
	do
	{
		if (is_admin())
		{
			$access['edit_post'] = true;
			$access['delete_post'] = true;
			break;
		}
		
		if (is_logged())
		{
			if ($blog_id)
			{
				if ($user_id == $post_data['user_id'] && blog_ship($blog_id))
				{
					/**
					 * Автор (и действующий читатель блога)
					 */
					$access['edit_post'] = true;
					$access['delete_post'] = true;
					break;
				}
				
				if (array_sum(($access = get_blog_access($blog_id))))
				{
					/**
					 * Модератор блога
					 */
					break;
				}
				
				if (blog_ship($blog_id))
				{
					/**
					 * Читатель блога
					 */
					break;
				}
			}
			else
			{
				if (user_id() == $post_data['user_id'])
				{
					/**
					 * Владелец блога
					 */
					$access = array
					(
						'edit_post' => true,
						'delete_post' => true
					);
					
					break;
				}
				
				if (array_sum(($access = get_blog_personal_access())) && $access['view_post'])
				{
					/**
					 * Модератор личных блогов
					 */
					break;
				}
				
				if ($post_data['privacy_post'] == PRIVACY_POST_FRIENDS && is_friend(user_id(), $post_data['user_id']))
				{
					/**
					 * Друг пользователя
					 */
					break;
				}
			}
		}
		
		if ($post_data['privacy_post'] == PRIVACY_POST_USERS)
		{
			/**
			 * Чтение для всех
			 */
			break;
		}
		
		
		die('404');
	}
	while (false);
	
	
	/**
	 * Убираем тег [cut] из текста поста.
	 */
	$post_data['post_text'] = preg_replace('/\[cut(=(.[^\]]+))?\]/', '<a id="cut"></a>', $post_data['post_text']);
	
	/**
	 * Получение меток.
	 */
	$tags = get_post_tags($post_id);
	
	/**
	 * Извлекаем из кэша массив похожих записей.
	 */
	if (is_null($liked_posts = cache("liked_posts/{$post_id}", 3600)))
	{
		$liked_posts = array();
		
		if (count($tags))
		{
			$sql = 'select p.post_id, p.user_id, u.user_login, p.post_add_time, p.post_title, b.blog_id, b.blog_name, b.blog_url
			from ' . TAGS_TABLE . ' as t 
			inner join ' . POSTS_TABLE . ' as p using (post_id) 
			left join ' . BLOGS_TABLE .' as b on (b.blog_id = p.blog_id) 
			left join ' . USERS_TABLE .' as u on (u.user_id = p.user_id) 
			where post_id <> ' . $post_id . ' and post_tag in ("' . implode('", "', $tags) . '") 
			group by p.post_id order by p.post_add_time desc limit 10';
			
			$query = mysql_query($sql);
			
			while ($fields = mysql_fetch_assoc($query))
			{
				$liked_posts[] = $fields;
			}
		}
		
		cache_save('liked_posts/' . $post_id, $liked_posts, 3600);
	}
	
	
	view_open('content', 'post/view');
	
	// Данные поста
	view_set_var('content', 'post_data', $post_data);
	
	// Права доступа
	view_set_var('content', 'access', $access);
	
	// Метки и похожие публикации
	view_set_var('content', 'tags', $tags);
	view_set_var('content', 'liked_posts', $liked_posts);
	
	// Устанавливаем, разрешенно ли изменять рейтинг записи.
	view_set_var('content', 'allow_vote', allow_vote_post($post_data) === true);
	
	view_set_var('main', 'content', view_render('content'));
}
else
{
	redirect('/');
}
?>