<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 12/08/2009 15:59
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

if (!$is_logged) {
	redirect('/login');
}

/**
 *  
 */
$search = '';
$allowed_modes = array('user_login', 'user_registration', 'user_count_posts', 'user_count_comments', 'user_skill', 'user_rating');
$allowed_orders = array('asc', 'desc');

if (isset($_POST['mode'], $_POST['order'])) {
	$mode = in_array($_POST['mode'], $allowed_modes) ? $_POST['mode'] : 'user_rating';
	$order = in_array($_POST['order'], $allowed_orders) ? $_POST['order'] : 'user_rating';
	
	$_SESSION['users_sort'] = serialize(array($mode, $order));
	
} elseif (!empty($_SESSION['users_sort']) && (list($mode, $order) = @unserialize($_SESSION['users_sort']))) {
	$mode = in_array($mode, $allowed_modes) ? $mode : 'user_login';
	$order = in_array($order, $allowed_orders) ? $order : 'asc';
} else {
	$mode = 'user_rating';
	$order = 'desc';
}

$action = in_array(get_router_param(0), array('online', 'search')) ? get_router_param(0) : '';

/**
 *     
 */
view_set_var('content', 'mode', $mode);
view_set_var('content', 'order', $order);
view_set_var('content', 'action', $action); //        

switch (get_router_param(0)) {
	case 'online':
		$nav = get_navigation(online_statistics('count_users'), get_nav_posts(), 'users/online/page%d');
		
		$sql = 'select s.*, u.user_login, u.user_hide_online, u.user_skill, u.user_rating 
		from ' . SESSIONS_TABLE . ' as s left join ' . USERS_TABLE . ' as u using (user_id) 
		order by ' . $mode . ' ' . $order . ' limit ' . $nav['select_limits'];
		
		$query = mysql_query($sql);
		
		while ($fields = mysql_fetch_assoc($query)) {
			$users_array[] = $fields;
		}
		
		view_open('content', 'users/online');
		view_set_var('content', 'users_array', $users_array);
		view_set_var('content', 'pagination', $nav['pagination']);
		view_set_var('main', 'title', get_lang('users_online'));
		break;
	
	case 'search':
		$search = '';
		$error = false;
		
		view_open('content', 'users/search_index');
		view_set_var('main', 'title', get_lang('users_search'));
		
		view_set_link_var('content', 'error', $error); //   
		view_set_link_var('content', 'search', $search); //     
		
		if (!empty($_POST['search'])) {
			$search = cut($_POST['search'], 25);
			$search = str_replace('*', '%', $search);
			$search = preg_replace('/[^A-z0-9\-_%]+/', '', $search);
			$search = preg_replace('/_*%+_*/', '%', $search);
			
			if (substr_count($search, '%') < 3 && $search != '%') {
				$sql = 'select user_id, user_login, user_registration, user_skill, user_rating, user_count_vote, user_last_visit, user_sex, user_count_posts, user_count_comments 
				from ' . USERS_TABLE . ' where ' . (is_unsigned($search) ? 'user_id = ' . $search : 'user_login ' . (preg_match('/%|_/', $search) ? 'like' : '=') . ' "' . $search . '"') . '
				order by ' . $mode . ' ' . $order;
				
				$query = mysql_query($sql);
				$count = mysql_num_rows($query);
				
				if ($count) {
					while ($fields = mysql_fetch_assoc($query)) {
						$users_array[] = $fields;
					}
					
					view_open('content', 'users/search_success');
					view_set_var('content', 'users_count', $count);
					view_set_var('content', 'users_array', $users_array);
				} else {
					$error = get_lang('users_search_not_found');
				}
			} else {
				$error = get_lang('users_search_error');
			}
		}
		
		break;
	
	default:
		$sql = 'select count(*) from ' . USERS_TABLE;
		
		$count = mysql_result(mysql_query($sql), 0);
		$nav = get_navigation($count, get_nav_posts(), '/users/page%s');
		
		$sql = 'select user_id, user_login, user_registration, user_skill, user_rating, 
		user_last_visit, user_sex, user_count_posts, user_count_comments, user_count_vote 
		from ' . USERS_TABLE . ' order by ' . $mode . ' ' . $order . ' 
		limit ' . $nav['select_limits'];
		
		$query = mysql_query($sql);
		
		while ($fields = mysql_fetch_assoc($query)) {
			$users_array[] = $fields;
		}
		
		view_open('content', 'users/index');
		
		view_set_var('content', 'users_count', $count);
		view_set_var('content', 'users_array', $users_array);
		view_set_var('content', 'pagination', $nav['pagination']);
		
		view_set_var('main', 'title', get_lang('users_list'));
		view_set_var('main', 'content', view_render('content'));
}

view_set_var('main', 'content', view_render('content'));
?>