<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 13/08/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

return array (
	/**
	 * Информация о локали
	 */
	'locale' => 'ru_RU',
	'charset' => 'utf-8',
	'copyright' => '', // Например, "Перевод: <a href="http://translaters.org">translaters.org</a>"
	
	/**
	 * Антифлуд
	 */
	'antiflood_error' => 'Нельзя писать чаще чем раз в %d %s', // Например, "Нельзя писать чаще чем раз в 30 секунд"
	'antiflood_notice' => 'Действие антифлуда закончится через %d %s', // Например, "Действие антифлуда закончится через 8 секунд"
	'antiflood_seconds' => array('секунду', 'секунды', 'секунд'),
	
	/**
	 * Выгрузка файлов
	 */
	'upload' => 'Выгрузить',
	'file_select' => 'Выбрать файл',
	
	/**
	 * 404 и прочие служебные сообщения
	 */
	'error_404' => 'К сожалению, такой страницы не существует. Вероятно, она была удалена с сервера, либо ее здесь никогда не было.',
	'page_not_allow' => 'Вы не можете просматривать содержимое этой страницы',
	
	/**
	 * Навигация по страницам
	 */
	'pagination_prev_page' => '&larr; Туда',
	'pagination_next_page' => 'Сюда &rarr;',
	
	/**
	 * Общее
	 */
	'maxlength' => 'Не более %d символов',
	'go' => 'Перейти',
	'error' => 'Ошибка',
	'attention' => 'Внимание',
	'submit' => 'Отправить',
	'save' => 'Применить',
	'reset' => 'Сбросить',
	'exit' => 'выход',
	'or' => 'или',
	'enabled' => 'Включено',
	'disabled' => 'Выключено',
	'delete' => 'Удалить',
	'approve' => 'Одобрить',
	'yes' => 'Да',
	'no' => 'Нет',
	'guest' => 'Гость',
	'index' => 'Главная',
	'back' => 'Назад',
	'you' => 'Вы',
	'is_you' => 'это Вы',
	'ip' => 'Ip',
	'user_agent' => 'User Agent',
	
	
	
	
	'blog' => 'Блог %s',
	'blog_personal' => 'Блог им. %s',
	
	
	
	
	/**
	 * Регистрация
	 */
	'registration' => 'Регистрация',
	'registration_data' => 'Регистрационные данные',
	'registration_submit' => 'Зарегистрироваться',
	'registration_success' => 'Вы успешно зарегистрировались! На указанный e-mail отправлены регистрационные данные.',
	'registration_captcha' => 'Проверочный код',
	'registration_captcha_error' => 'Неверный код',
	'registration_close' => 'Извините, но регистрация временно закрыта, попробуйте зарегистрироваться позже',
	'registration_login_notice' => 'Может состоять только из букв (A-Z a-z), цифр (0-9). Не может быть числом. Знак подчеркивания (_) лучше не использовать. Длина логина не может быть меньше 3 и больше 25 символов.',
	'registration_login_error' => 'Неверный логин',
	'registration_login_error_used' => 'Этот логин уже занят',
	'registration_password_error' => 'Неверный пароль',
	'registration_password_notice' => 'Может состоять только из букв (A-Z a-z), цифр (0-9). Должен содержать не более 25 символов. Не используйте простые пароли, будьте разумны.',
	'registration_email_error' => 'Неверный формат e-mail',
	'registration_email_error_used' => 'Этот e-mail уже используется',
	'registration_success_email' => '
Это письмо отправлено с сайта %1$s
Вы получили это письмо, так как этот e-mail адрес был использован при регистрации на сайте. Если Вы не регистрировались на этом сайте, просто проигнорируйте это письмо и удалите его. Вы больше не получите такого письма.

------------------------
Авторизация
------------------------
Ваш логин: %2$s
Ваш пароль: %3$s

------------------------
Автологин
------------------------
Для посещения сайта можете пользоваться закладкой:
$%1$s/login/%2$s/%3$s

С уважением, Aдминистрация сайта.',
	
	
	
	/**
	 * Пользователи
	 */
	'users' => 'Пользователи',
	'users_list' => 'Все',
	'users_online_list' => 'Онлайн',
	'users_search' => 'Поиск',
	'users_search_error' => 'Ваш запрос слишком сложный, упростите его',
	'users_search_not_found' => 'К сожалению поиск не принес результатов',
	'users_search_notice' => 'Для поиска можно использовать знаки * - заменяет произвольное число символов, и _ - заменяет один символ.Также можно комбинировать эти знаки.',
	'users_search_submit' => 'Искать',
	'users_sort' => 'Упорядочить',
	'users_sort_ascending' => 'по возрастанию',
	'users_sort_descending' => 'по убыванию',
	'users_sort_skill' => 'силе пользователя',
	'users_sort_rating' => 'рейтингу пользователя',
	'users_sort_login' => 'имени пользователя',
	'users_sort_registration' => 'дате регистрации',
	'users_sort_posts' => 'количеству записей',
	'users_sort_comments' => 'количеству комментариев',
	'users_sort_method' => 'Упорядочить по',
	
	/**
	 * Настройки
	 */
	'settings' => 'Настройки',
	/**
	 * Приватные сообщения
	 */
	'privmsgs_write' => 'Написать сообщение',
	
	/**
	 * Друзья
	 */
	'friends' => 'Друзья',
	'friends_empty' => 'Друзей пока нет',
	'friends_count_entries' => 'Заявки: %d',
	'friends_delete_checked' => 'Удалить из друзей',
	'friendship_submit' => 'Подружиться',
	
	
	/**
	 *  Стена
	 */
	'wall' => 'Стена',
	'wall_answer' => 'Ответ на сообщение',
	'wall_short_answer' => 'отв',
	'wall_delete' => 'Удалить',
	'wall_clear'=> 'Чистка стены',
	'wall_clear_submit'=> 'Очистить',
	
	
	
	'groups' => 'Группы',
	'blogs' => 'Блоги',
	'posts' => 'Посты',
	'user' => 'Пользователь',
	'online' => 'Онлайн',
	'version' => 'Версия',
	'execution_time' => 'Генерация: {execution_time} сек.',
	
	
	/**
	 * Месяца
	 */
	'months' => array (
		'января',
		'февраля',
		'марта',
		'апреля',
		'мая',
		'июня',
		'июля',
		'августа',
		'сентября',
		'октября',
		'ноября',
		'декабря'
	)
);
?>