<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li class="current"><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>


<div class="header">
	<h1>Создание блога</h1>
</div>

<form action="/blog/add" method="post">
	<div class="card">
		<?php if ($name_error): ?>
			<dl>
				<dt></dt>
				<dd>Не указано имя</dl>
			</dt>
		<?php endif ?>
		
		<?php if ($url_error): ?>
			<dl>
				<dt></dt>
				<dd>Неверный формат URL</dd>
			</dl>
		<?php endif ?>
		
		<?php if ($url_exists_error): ?>
			<dl>
				<dt></dt>
				<dd>Блог с таким URL уже существует</dd>
			</dl>
		<?php endif ?>
		
		<dl>
			<dt class="help" title="Название блога должно быть наполнено смыслом, чтобы можно было понять, о чем будет блог.">Имя блога:</dt>
			<dd>
				<input type="text" name="name" size="74" maxlength="255" value="<?php echo $name ?>" />
			</dd>
		</dl>
		
		<dl>
			<dt class="help">URL блога:</dt>
			<dd>
				<input type="text" name="url" size="74" maxlength="255" value="<?php echo $url ?>" />
			</dd>
		</dl>
		
		<dl>
			<dt>Описание:</dt>
			<dd>
				<textarea name="description" maxlength="255"><?php echo $description ?></textarea>
			</dd>
		</dl>
		
		<dl>
			<dt>Тип вступления:</dt>
			<dd>
				<input type="radio" name="type" value="<?php echo BLOG_OPEN ?>" <?php $type == BLOG_OPEN && print('checked="checked"') ?>/> Открыто<br />
				<input type="radio" name="type" value="<?php echo BLOG_ENTRY ?>" <?php $type == BLOG_ENTRY && print('checked="checked"') ?>/> Открыто, но с заявкой<br />
				<input type="radio" name="type" value="<?php echo BLOG_CLOSE ?>" <?php $type == BLOG_CLOSE && print('checked="checked"') ?>/> Закрыто
			</dd>
		</dl>
		
		<dl>
			<dt class="help" title="Рейтинг, который необходим пользователю, чтобы написать в этот блог.">Ограничение по рейтингу:</dt>
			<dd>
				<input type="text" name="limit_rating" maxlength="100" value="<?php echo $limit_rating ?>" />
			</dd>
		</dl>
		
		<dl>
			<dd>
				<input type="submit" value="Применить" />
			</dd>
		</dl>
	</div>
</form>