<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li class="current"><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="header">
	<h1>Сохдание группы</h1>
</div>

<form action="/group/add" method="post">
	<div class="card">
		<?php if ($name_error): ?>
			<dl>
				<dt></dt>
				<dd>Не указано имя</dl>
			</dt>
		<?php endif ?>
		
		<dl>
			<dt>Имя группы:</dt>
			<dd>
				<input type="text" name="name" size="74" maxlength="255" value="<?php echo $name ?>" />
			</dd>
		</dl>
		
		<dl>
			<dt>Описание:</dt>
			<dd>
				<textarea name="description" maxlength="255"><?php echo $description ?></textarea>
			</dd>
		</dl>
		
		<dl>
			<dt>Тип вступления:</dt>
			<dd>
				<input type="radio" name="type" value="<?php echo GROUP_OPEN ?>" <?php $type == GROUP_OPEN && print('checked="checked"') ?>/> Открыто<br />
				<input type="radio" name="type" value="<?php echo GROUP_CLOSE ?>" <?php $type == GROUP_CLOSE && print('checked="checked"') ?>/> Закрыто<br />
				<input type="radio" name="type" value="<?php echo GROUP_HIDDEN ?>" <?php $type == GROUP_HIDDEN && print('checked="checked"') ?>/> Скрыта
			</dd>
		</dl>
		
		<dl>
			<dd>
				<input type="submit" value="Добавить" />
			</dd>
		</dl>
	</div>
</form>