<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li class="current"><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="header">
	<h1><?php echo $group_data['group_name'] ?></h1>
</div>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td><div><a href="/group/<?php echo $group_data['group_id'] ?>">Информация</a></div></td>
			<td><div><a href="/group/users/<?php echo $group_data['group_id'] ?>">Учаcтники</a></div></td>
			<td class="current"><div><a href="/group/adduser/<?php echo $group_data['group_id'] ?>">Добавление</a></div></td>
			<td><div><a href="/group/edit/<?php echo $group_data['group_id'] ?>">Редактировать</a></div></td>
			<td><div><a href="/group/delete/<?php echo $group_data['group_id'] ?>">Удалить</a></div></td>
		</tr>
	</table>
</div>

<form action="/group/adduser/<?php echo $group_data['group_id'] ?>" method="post">
	<div class="content">
		<div class="card">
			<?php if ($add_success): ?>
				<dl>
					<dt></dt>
					<dd>Пользователь добавлен</dd>
				</dl>
			<?php endif ?>
			
			<?php if ($user_error): ?>
				<dl>
					<dt></dt>
					<dd>Пользователь не найден</dd>
				</dl>
			<?php endif ?>
			
			<dl>
				<dt><?php echo get_lang('user/login') ?> <?php echo get_lang('or') ?> <?php echo get_lang('user/id') ?>:</dt>
				<dd>
					<input type="text" name="user" maxlength="30" value="<?php echo $user ?>" />
				</dd>
			</dl>
			
			<dl>
				<dd>
					<input type="submit" value="Добавить" />
				</dd>
			</dl>
		</div>
	</div>
</form>