<?php
header('Content-type: application/xhtml+xml charset=UTF-8');
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
<head>
<title><?php isset($title) && print("{$title} / ") ?><?php echo get_option('home_title') ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo get_option('html_charset') ?>" />
<link rel="stylesheet" href="/wb-content/templates/HabraLight/css/style.css" type="text/css" />
<link rel="shortcut icon" href="/wb-content/templates/HabraLight/images/favicon.ico" />
<?php if (strpos($content, 'setAllCheckboxesRange') !== false): ?>
	<script type="text/javascript" src="/wb-content/templates/HabraLight/js/functions.js"></script>
<?php endif ?>
</head>
<body>

<ul class="panel-user">
<?php if (is_logged()): ?>
		<li>Привет, <?php echo user_data('user_login') ?></li>
		<li><a href="/user">Кабинет</a></li>
		<?php if (is_admin()): ?><li><a href="/admin">Админ-панель</a></li><?php endif ?>
		<li><a href="/exit">Выход</a></li>	
<?php else: ?>
	<li><a href="/login">Вход</a></li>
	<li><a href="/registration">Регистрация</a></li>
<?php endif ?>
</ul>


<?php echo $content ?>

<div class="footer">
	<ul>
		<li><?php echo get_lang('online') ?>: <a href="/users/online"><?php echo online_statistics('count_users') ?> / <?php echo online_statistics('count_all') ?></a></li>
		<li><?php echo get_lang('version') ?>: <a href="/set/browser/web">WEB</a> <a href="/set/browser/wap">WAP</a></li>
		<?php if (!is_logged()): ?><li><?php echo get_lang('settings/locale') ?>: <a href="/set/locale/ru_RU">Rus</a> <a href="/set/locale/en_US">Eng</a></li><?php endif ?>
		<li><?php echo get_lang('execution_time') ?></li>
		<li>{copyright}</li>
		<li>{language_copyright}</li>
	</ul>
</div>
</body>
</html>