<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li class="current"><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<div class="page-navigation">
	<table class="page-menu">
		<tr>
			<td><div><a href="/users"><?php echo get_lang('users_list') ?></a></div></td>
			<td class="current"><div><a href="/users/online"><?php echo get_lang('users_online_list') ?></a></div></td>
			<td><div><a href="/users/search"><?php echo get_lang('users_search') ?></a></div></td>
		</tr>
	</table>
</div>


<div class="live">
	<div class="br">
	<div class="bl">
	<div class="tr">
	<div class="text">
		<table>
			<tr>
				<th width="55%"></th>
				<th width="15%"><?php echo get_lang('user/online_clicks') ?></th>
				<th width="15%"><?php echo get_lang('user/skill') ?></th>
				<th width="15%"><?php echo get_lang('user/rating') ?></th>
			</tr>
			
			<?php foreach ($users_array as $fields): ?>
				<tr>
					<td>
						<?php if (!$fields['user_id']): ?>
							<?php echo get_lang('guest') ?>
						<?php elseif($fields['user_hide_online'] && !is_admin() && user_id() != $fields['user_id']): ?>
							<?php echo get_lang('user_hidden') ?>	
						<?php else: ?>
							<a href="/profile/<?php echo $fields['user_login'] ?>"><?php echo $fields['user_login'] ?></a>
						<?php endif ?>
						
						<!--<?php $fields['ip'] == ip() && print('(' . get_lang('is_you'). ')') ?>-->
						
						<?php if (is_admin()): ?>
							<a href="" onclick="alert(
							'<?php echo get_lang('ip') ?>: <?php echo $fields['ip'] ?>'+'\n'+
							'<?php echo get_lang('user_agent') ?>: <?php echo $fields['user_agent'] ?>'); return false;">Данные</a>
						<?php endif ?>
					</td>
					
					<td style="text-align: center;"><?php echo  $fields['count_clicks'] ?></td>
					
					<?php if ($fields['user_id']): ?>
						<td class="skill" style="text-align: center;"><span class="number"><?php echo $fields['user_skill'] ?></span></td>
						<td class="rating" style="text-align: center;"><span class="number"><?php echo $fields['user_rating'] ?></span></td>
					<?php else: ?>
						<td></td>
						<td></td>
					<?php endif ?>
				</tr>
			<?php endforeach; ?>
		</table>
	</div>
	</div>
	</div>
	</div>
</div>
	
<?php view_include('pagination') ?>
<?php view_include('users/sort_block') ?>