<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 12/08/2009 16:45
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

require_once('wb-system/includes/functions_friends.php');

$current_user = $is_logged ? $user_data : array();

if (!is_null(get_router_param(0))) {
	$user = preg_replace('/[^A-z0-9\-_]/', '', get_router_param(0));
	
	$sql = 'select * from ' . USERS_TABLE . ' 
	where ' . (is_unsigned($user, true) ? 'user_id' : 'user_login') . ' = "' . $user . '"';
	
	if (($query = mysql_query($sql)) && mysql_num_rows($query)) {
		$current_user = mysql_fetch_assoc($query);
	}
}

if (!count($current_user)) {
	redirect('/');
}

view_open('content', 'profile/index');

$avatar = false;
$avatar_sizes = false;
if (is_file('wb-content/avatars/' . $current_user['user_id'] . '.png')) {
	$avatar_sizes = @getimagesize('wb-content/avatars/' . $current_user['user_id'] . '.png');
	
	if ($avatar_sizes) {
		$avatar = true;
		$avatar_sizes = $avatar_sizes[3];
	} else {
		@unlink('wb-content/avatars/' . $current_user['user_id'] . '.png');
	}
}

/**
 * Можно голосовать за пользователя?
 */
$allow_vote_rating = allow_vote_user($current_user['user_id']) === true ? true : false;

/**
 * Пол
 */
$sex = get_lang($current_user['user_sex'] == 'm' ? 'user/sex_man' : 'user/sex_woman');

/**
 * Участие в группах
 */
$sql = 'select g.group_id, g.group_name 
from ' . USER_GROUP_TABLE . ' as u 
inner join ' . GROUPS_TABLE . ' AS g using (group_id) 
where u.user_id = ' . $current_user['user_id'] . ' 
order by g.group_name asc';

$groups = array();
$query = mysql_query($sql);

while ($rows = mysql_fetch_assoc($query)) {
	$groups[] = $rows;
}

/**
 * Участие в коллективных блогах
 */
$sql = 'select b.blog_url, b.blog_name 
from ' . USER_BLOG_TABLE . ' as u 
inner join ' . BLOGS_TABLE . ' as b using (blog_id) 
where u.user_id = ' . $current_user['user_id'] . ' 
order by b.blog_name asc';

$blogs = array();
$query = mysql_query($sql);

while ($rows = mysql_fetch_assoc($query)) {
	$blogs[] = $rows;
}

/**
 * Разрешения
 */
$allow_friendship = false;
$allow_privmsgs_send = false;

if ($is_logged) {
	if ($current_user['user_id'] != $user_id) {
		$is_friend = is_friend($user_id, $current_user['user_id']);
		
		/**
		 * Стать другом
		 */
		if (!$is_friend && $current_user['user_friendship_privacy'] != FRIENDSHIP_DISABLE) {
			$allow_friendship = true;
		}
		
		/**
		 * Отправка личного сообщения
		 */
		if ($is_admin || $current_user['user_privmsgs_privacy'] == PRIVMSGS_USERS || ($is_friend && $current_user['user_privmsgs_privacy'] == PRIVMSGS_FRIENDS)) {
			$allow_privmsgs_send = true;
		}
	}
}

/**
 * Данные профиля
 */
view_set_var('content', 'current_user', $current_user);

/**
 * Пол
 */
view_set_var('content', 'sex', $sex);

/**
 * Участие в блогах
 */
view_set_var('content', 'blogs', $blogs);

/**
 * Участие в группах
 */
view_set_var('content', 'groups', $groups);

/**
 * Аватар
 */
view_set_var('content', 'avatar', $avatar);
view_set_var('content', 'avatar_sizes', $avatar_sizes);

/**
 * Разрешения
 */
view_set_var('content', 'allow_vote_rating', $allow_vote_rating);
view_set_var('content', 'allow_edit_profile', ($is_logged && $current_user['user_id'] == $user_id));
view_set_var('content', 'allow_friendship', $allow_friendship);
view_set_var('content', 'allow_privmsgs_send', $allow_privmsgs_send);

view_set_var('main', 'content', view_render('content'));
?>